GNU bug report logs - #29261
Save/restore dates does not work properly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: Antonio Sidinei Schug <antoniosidineischug@HIDDEN>; dated Sat, 11 Nov 2017 21:17:02 UTC; Maintainer for gzip is bug-gzip@HIDDEN.

Message received at 29261 <at> debbugs.gnu.org:


Received: (at 29261) by debbugs.gnu.org; 11 Nov 2017 23:20:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 11 18:20:10 2017
Received: from localhost ([127.0.0.1]:35773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eDf4M-0003Dx-LA
	for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 18:20:10 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:60896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eDf4K-0003Dk-UN
 for 29261 <at> debbugs.gnu.org; Sat, 11 Nov 2017 18:20:09 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 46EAA1610CC;
 Sat, 11 Nov 2017 15:20:02 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id uo4nq2Ztj20u; Sat, 11 Nov 2017 15:20:00 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 886711610DB;
 Sat, 11 Nov 2017 15:20:00 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id aWQllTmbgQHp; Sat, 11 Nov 2017 15:20:00 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 60EEC1610CC;
 Sat, 11 Nov 2017 15:20:00 -0800 (PST)
Subject: Re: bug#29261: Save/restore dates does not work properly
To: Antonio Sidinei Schug <antoniosidineischug@HIDDEN>,
 29261 <at> debbugs.gnu.org
References: <CA+UTPU_fRYcuoSLx6iqM2RoNk4fW2Qr9H2=FMMtOSoQ9yymnnA@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <a5268bbd-b084-17b4-a114-6b2ea960d39a@HIDDEN>
Date: Sat, 11 Nov 2017 15:19:59 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <CA+UTPU_fRYcuoSLx6iqM2RoNk4fW2Qr9H2=FMMtOSoQ9yymnnA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29261
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Antonio Sidinei Schug wrote:
> gzip version 1.3.12(Windows) and probaly others too, does not save /
> restore file timestamp correctly(Always set to current.

1.3.12 is dated 2007 and is pretty old. I'm afraid that we worry only about the 
latest version.

> if I put copy_stat after file descriptor(ofd) is closed, and set it ofd
> = -1, then, they are all ok

That wouldn't work with the current version, where copy_stat needs ofd to do its 
thing. Can you reproduce the problem with the current version? See:

https://ftp.gnu.org/gnu/gzip/gzip-1.8.tar.gz




Information forwarded to bug-gzip@HIDDEN:
bug#29261; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2017 21:17:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 11 16:17:00 2017
Received: from localhost ([127.0.0.1]:35712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eDd9A-0006ja-Hr
	for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 16:17:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <antoniosidineischug@HIDDEN>) id 1eDd1G-0006XM-JE
 for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 16:08:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <antoniosidineischug@HIDDEN>) id 1eDd1A-0003f3-MU
 for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 16:08:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56027)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <antoniosidineischug@HIDDEN>)
 id 1eDd1A-0003ev-Ja
 for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 16:08:44 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47123)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <antoniosidineischug@HIDDEN>) id 1eDd19-0002JF-Ii
 for bug-gzip@HIDDEN; Sat, 11 Nov 2017 16:08:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <antoniosidineischug@HIDDEN>) id 1eDd18-0003eP-No
 for bug-gzip@HIDDEN; Sat, 11 Nov 2017 16:08:43 -0500
Received: from mail-vk0-x22c.google.com ([2607:f8b0:400c:c05::22c]:48298)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <antoniosidineischug@HIDDEN>)
 id 1eDd18-0003eI-IQ
 for bug-gzip@HIDDEN; Sat, 11 Nov 2017 16:08:42 -0500
Received: by mail-vk0-x22c.google.com with SMTP id c18so687778vkd.5
 for <bug-gzip@HIDDEN>; Sat, 11 Nov 2017 13:08:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=+ftv9QzGpwOiY3CN79krSLPiQfitUtELRvx+mVz+VtQ=;
 b=m4qIdTzcuQ6iyFCb4P9PcynJPqlr9fLexwOrP8fZSDHF95CP1FD2KdSn7HySBUW70p
 zhqxmeaH7G8s1lRAX75tWXtt6a6+3KCc/FG0sHOS0PLJbwFNYVd5Gy4OJfSZyXx0bdR7
 uAT1yK0PFTwMCqRgQeyBBACS1tFcCHXgvmj/FN929cjTlyQ4PFhlLq4AG9YiokRgkrhV
 xgKi0hGT3oeHQbP1vuJTAJJ15LgRUDE6lt6mYMPcqIkYIGV+z2X6swn0VhOyaiepGb8l
 0oG+++D3gKKuJpdnCKA7mlHLk1krK0ABvbmrYzQsUcnf7zixMAecJqq67yYQEdi6sSml
 CQVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=+ftv9QzGpwOiY3CN79krSLPiQfitUtELRvx+mVz+VtQ=;
 b=sTB5H+Cs2KTfgZXt8Ubani4xa2UE7DXmHkSrssbfwjxaYgTGo4kpNE1o7B4tf9yaQ3
 D54gJimm4F4gkAv8L9KUfm6yaR1KFbhjBc5/eiGH+GHKvBRwogKDviBGe/F0+2Vn6YLA
 XOI/cm88n1W3Jz+oQefPWvmAtDJdkhextWkj5hRELAhBz3ei92U4bpxbkUIVFDts9BnT
 A5POsMBc731Ji1jruzK3zqTWnudZtn8pB7g3XCuwuQ1uCJhicFxuCuP2F90I0I4koW/1
 4HNL0Ut2UbKtpXLUSSCxRVRZV42L4ScGxC0OgjtO0ruyBpKpF7/MGqbzCTW+FHF335Fg
 NPsA==
X-Gm-Message-State: AJaThX6LI6b/kU1B182JBN3fh9AQzE80Ik0NfqE6cbpUCgIiezYNQkNX
 xzbl41zhxwXKfEdTqZt783+XyRwrf/06pxvalClAgw==
X-Google-Smtp-Source: AGs4zMbJc2zQ3PQmvOfjfnPtFD0DyUeMlqfXGd8KJKb1ZjqzzLWTgXImQZUS1Q7zSdo9AJV3carvQVmxZ7Ii2F0uK0A=
X-Received: by 10.31.170.142 with SMTP id t136mr3607127vke.198.1510434521485; 
 Sat, 11 Nov 2017 13:08:41 -0800 (PST)
MIME-Version: 1.0
Received: by 10.176.1.240 with HTTP; Sat, 11 Nov 2017 13:08:21 -0800 (PST)
From: Antonio Sidinei Schug <antoniosidineischug@HIDDEN>
Date: Sat, 11 Nov 2017 19:08:21 -0200
Message-ID: <CA+UTPU_fRYcuoSLx6iqM2RoNk4fW2Qr9H2=FMMtOSoQ9yymnnA@HIDDEN>
Subject: Save/restore dates does not work properly
To: bug-gzip@HIDDEN
Content-Type: multipart/alternative; boundary="001a1142ee2a1c1816055dbb7109"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 11 Nov 2017 16:16:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a1142ee2a1c1816055dbb7109
Content-Type: text/plain; charset="UTF-8"

gzip version 1.3.12(Windows) and probaly others too, does not save /
restore file timestamp correctly(Always set to current.
Linux versions, when saving to a local file system, resoter/save correctly,
but if it is a mounted remote filesystem like CIFS in my case, does not.
After a change in the source code that I made,  all Works OK.
The bug is, if copy_stat (&istat) is executed before I close ofd(file
descriptor of a file being saved/restored), those times are not set
properly.
Bu if I put copy_stat after file descriptor(ofd) is closed, and set it ofd
= -1, then, they are all ok

Best regards

Antonio Sidinei Schug

--001a1142ee2a1c1816055dbb7109
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>gzip version 1.3.12(Windows) and probaly others too, =
does not save / restore file timestamp correctly(Always set to current.</di=
v><div>Linux versions, when saving to a local file system, resoter/save cor=
rectly, but if it is a mounted remote filesystem like CIFS in my case, does=
 not.</div><div>After a change in the source code that I made,=C2=A0 all Wo=
rks OK.</div><div>The bug is, if copy_stat (&amp;istat) is executed before =
I close ofd(file descriptor of a file=C2=A0being saved/restored), those tim=
es are not set properly.</div><div>Bu if I put copy_stat after file descrip=
tor(ofd) is closed, and set it ofd =3D -1, then, they are all ok</div><div>=
<br></div><div>Best regards</div><div><font face=3D"tahoma,sans-serif" size=
=3D"2"></font><br></div><div><font face=3D"tahoma,sans-serif" size=3D"2">An=
tonio Sidinei Schug</font></div>
</div>

--001a1142ee2a1c1816055dbb7109--




Acknowledgement sent to Antonio Sidinei Schug <antoniosidineischug@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#29261; Package gzip. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.